package com.unipi.talepis.androidprotalspring1;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@SpringBootApplication
@RestController
public class AndroidProtalSpring1Application {

    public static void main(String[] args) {
        SpringApplication.run(AndroidProtalSpring1Application.class, args);
    }

    @GetMapping("/hello")
    public String hello(){
        return "Hello World";
    }
    @GetMapping("/helloname")
    public String helloname(@RequestParam(value="yourName",defaultValue = "Maria") String name){
        return "Hello World "+name;
    }
}
